GIFs
Search GIFs
Searches GIFs by keyword via the OnlyFans Giphy proxy. Requires permission api_gifs_search.
https://public-api.fansmetric.comGET/v1/gifs/search
Bearer
Authorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Query Parameters
q*stringSearch query, e.g.
"hello".limitintegerDefault 20. Min 1, max 50.
offsetintegerPagination offset.
curl --request GET "https://public-api.fansmetric.com/v1/gifs/search?q=sample_q&limit=20&offset=0" \
--header "Authorization: Bearer YOUR_API_KEY"Response
200{
"data":{
"data":[
0:{
"id":"cFyd0Xolac5zvmHvzx"
"title":"Timothee Chalamet Shimmy GIF"
"alt_text":""
"rating":"g"
"is_sticker":0
"type":"gif"
"url":"https://giphy.com/gifs/...-cFyd0Xolac5zvmHvzx"
"embed_url":"https://giphy.com/embed/cFyd0Xolac5zvmHvzx"
"images":{
"fixed_height":{
"url":"https://media4.giphy.com/.../200.gif"
"width":"356"
"height":"200"
"mp4":"https://media4.giphy.com/.../200.mp4"
}
"fixed_width":{
"url":"https://media4.giphy.com/.../200w.gif"
"width":"200"
"height":"112"
"mp4":"https://media4.giphy.com/.../200w.mp4"
}
"original":{
"url":"https://media4.giphy.com/.../giphy.gif"
"width":"480"
"height":"480"
}
"original_mp4":{
"width":"480"
"height":"480"
"mp4":"https://media4.giphy.com/.../giphy.mp4"
}
"preview_gif":{
"url":"https://media4.giphy.com/.../giphy-preview.gif"
"width":"100"
"height":"100"
}
}
}
]
"pagination":{
"total_count":253
"count":1
"offset":0
}
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":999
"limit_day":50000
"remaining_day":49999
}
}
}